# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Enum MediaRestriction.Type

    java.lang.Object
      java.lang.Enum<MediaRestriction.Type>
          com.google.gdata.data.media.mediarss.MediaRestriction.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MediaRestriction.Type>

Enclosing class:
  MediaRestriction

    public static enum MediaRestriction.Type

extends java.lang.Enum<MediaRestriction.Type>

Values for the type attribute.

Enum Constant Summary
`COUNTRY`
`URI`

Method Summary
`static MediaRestriction.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MediaRestriction.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COUNTRY

    public static final MediaRestriction.Type COUNTRY

### URI

    public static final MediaRestriction.Type URI

Method Detail

### values

    public static MediaRestriction.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaRestriction.Type c : MediaRestriction.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaRestriction.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null